#xs-menu-wrap {
  display: none;
}

/* Menu Wrapper */
#xs-menu-wrap {
  position: fixed;
  background: rgb(36, 72, 104);
  z-index: -1;

  transform: translateX(100%);

  right: 0;
  top: 0;
  bottom: 0;

  padding: 15px;
  margin: 0;

  width: 500px;
  height: 100vh;

  display: flex;
  align-items: flex-end;
  align-content: center;
  flex-wrap: nowrap;
  flex-direction: column;
  justify-content: flex-start;

  transition-duration: 500ms;

  /* Inner - Bar Items */
  .header-bars-wrap {
    padding: 0px;
  }

  .bar1 {
    transform: rotate(-45deg) translate(-22px, 21px);
    background: rgb(215, 219, 222);
    width: 35px;
  }

  .bar2 {
    display: none;
  }

  .bar3 {
    transform: rotate(45deg) translate(6px, 6px);
    background: rgb(215, 219, 222);
    width: 35px;
  }

  /* Menu Items */
  ul {
    padding: 0px;
    margin: 0px;
    text-align: center;

    li {
      position: relative;
      display: block;
      z-index: 9;
      width: 100%;
    }

    li a {
      padding-top: 10px;
      padding-bottom: 10px;
      color: rgb(215, 219, 222);
      font-size: 22px;
      font-weight: var(--textFontWeight);
      width: 100%;
      text-align: right;
    }

    li a:focus,
    li a:hover,
    li.active a {
      text-decoration: none;
      background-color: transparent;
      color: var(--hoverColour);
    }

  }

  /* Menu Items ~ Dropdown */
  .dropdown-menu.show {
    display: flex;
    background-color: #000;
    transform: translate(0px, 60px) !important;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;

    li {
      /* opacity: 0; */
      opacity: 1;
      position: unset;
    }
  }

  .dropdown-toggle::after {
    display: inline-block;
    margin-left: 0.0px;
    vertical-align: 0.0px;
    content: "";
    border-top: 0.0em solid;
    border-right: 0.0em solid transparent;
    border-bottom: 0;
    border-left: 0.0em solid transparent;
  }


  /* Menu Items ~ Dropdown Items */
  .mobile-return a:before {
    content: "\f053";
    font-family: 'FontAwesome';
    margin-right: 5px;
    font-size: 8px;
    position: absolute;
    left: 0;
    top: 52%;
    transform: translateY(-50%);
  }

  .menu-item.mobile-return a {
    color: #fff;
    position: relative;
    text-align: left;
    padding: 12.5px 0 12.5px 10px;
    line-height: 1;
    font-size: 15px;
  }

  .menu-item.mobile-return {
    margin-left: 15px;
  }

  .menu-item.menu-item-has-children a:after {
    content: "\f054";
    position: absolute;
    right: 15px;
    color: #fff;
    font-family: 'FontAwesome';
    font-size: 12px;
    top: 50%;
    transform: translateY(-50%);
    display: block;
  }

  .menu-item.menu-item-has-children>.dropdown-menu.show a:after {
    display: none;
  }

  /* Misc Items */
  .navbar-nav {
    margin: 0 0px 0 0px !important;
  }

  nav.slider-menu-items {
    width: 100%;
    margin: 30px 0 0 0;
  }
}

/* Menu - Opened */
#xs-menu-wrap.open {
  right: 0;
  transform: translateX(0%);
  z-index: 9999;
}

/* Bar Items */
.header-bars-wrap {
  cursor: pointer;
  position: relative;
  z-index: 99;
  right: 0;
  float: right;
  text-align: right;
  display: flex;
  flex-direction: column;
  align-content: flex-end;
  justify-content: flex-end;
  align-items: flex-end;
  padding: 7.5px 7.5px;
  margin-left: 7.5px;
}

.col-2.menu-col.menu-col-end {
  display: flex;
  justify-content: flex-end;
  align-content: center;
}

.bar1,
.bar2,
.bar3 {
  width: 55px;
  height: 3.1px;
  background-color: rgb(215, 219, 222);
  margin: 10px 0;
  transition: 0.4s;
  cursor: pointer;
  border-radius: 4px;
}

.bar1.change {
  -webkit-transform: rotate(-45deg) translate(-5px, 5px);
  transform: rotate(-45deg) translate(-5px, 5px);
  width: 35px;
  -moz-transform: rotate(-45deg) translate(-5px, 5px);
  -ms-transform: rotate(-45deg) translate(-5px, 5px);
  -o-transform: rotate(-45deg) translate(-5px, 5px);
}

.bar2.change {
  opacity: 0;
}

.bar3.change {
  -webkit-transform: rotate(45deg) translate(-8px, -8px);
  transform: rotate(45deg) translate(-8px, -8px);
  width: 35px;
}

/* Misc Items */
.overlay-full--wrap {
  opacity: 0;
  pointer-events: none;
  transition-property: opacity;
  transition-duration: 500ms;
  left: -100%;
}

.disable-scroll {
  overflow: hidden;

  .overlay-full--wrap {
    left: 0;
    display: block;
    opacity: 1;
    height: 100%;
    width: 100%;
    position: absolute;
    left: 0;
    top: 0;
    background: rgba(0, 0, 0, 0.6);
    z-index: 99;
  }
}

@media (max-width: 576px) {
  #xs-menu-wrap {
    width: 100%;
  }
}